Index: /trunk/Nebulous/bin/neb-repair
===================================================================
--- /trunk/Nebulous/bin/neb-repair	(revision 32528)
+++ /trunk/Nebulous/bin/neb-repair	(revision 32529)
@@ -118,4 +118,7 @@
 		    print "\tcp $valid_file $f\n";
 		    system("cp $valid_file $f");
+		    if ($? >> 8 != 0) {
+			die "Failed to copy file $valid_file to $f!\n";
+		    }
 		}
 	    }
@@ -124,10 +127,10 @@
 }
 
-if ($N_files > $user_copies) {
-    my @split = split /\//, $last_f;
-    my $volume = $split[2];
-    print "Culling extra copy: neb-cull --volume $volume $key\n";
-    system("neb-cull --volume $volume $key");
-}
+# if ($N_files > $user_copies) {
+#     my @split = split /\//, $last_f;
+#     my $volume = $split[2];
+#     print "Culling extra copy: neb-cull --volume $volume $key\n";
+#     system("neb-cull --volume $volume $key");
+# }
 
 
